Bug 803622 - [ovirt] [vdsm] disconnect storage pool fails in case master domain is missing
[ovirt] [vdsm] disconnect storage pool fails in case master domain is missing
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.4
Assigned To: Dan Kenigsberg
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 05:42 EDT by Haim
Modified: 2016-02-10 11:33 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 05:38:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-03-15 05:42:55 EDT
Description of problem:

Action: using vdsClient, try to disconnectStoragePool 
Result: Cannot activate Logical Volumes: ('General Storage Exception: (\'5 [] [\\\'  Volume group "91f4fea6-8cc6-4425-8cd7-247bf0dac703" not found\\\', \\\'  Skipping volume group 91f4fea6-8cc6-4425-8cd7-247bf0dac703\\\']\\n91f4fea6-8cc6-4425-8cd7-247bf0dac703/[\\\'metadata\\\']\',)',)

Scenario: 

- createStoragePool (SAN)
- connectSoragePool
- brutally, remove all storage domains:
  cmd: gremove `vgs --noheadings | awk '!/vg0/{print $1}'` --force
- using vdsClient, disconenctStoragePool

vdsClient 0 disconnectStoragePool  `vdsClient 0 getConnectedStoragePoolsList` 1 `vdsClient 0 getConnectedStoragePoolsList`

Notes:

- we had some work around this scenario in the past, and it used to work, from some reason, code has changed to read master domain metadata - we don't need that.
Comment 1 Itamar Heim 2013-03-12 05:38:02 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.